=== debian/changelog ===
cedarview-drm-drivers (20120717-0ubuntu1) precise-proposed; urgency=low

  * Initial release (LP: #1025720).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Aug 2012 16:28:29 +0200
