=== debian/control ===
Source: cedarview-drm-drivers
Section: kernel
Priority: optional
Maintainer: Alberto Milone <alberto.milone@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dkms (>=1.95), quilt, dh-modaliases
Standards-Version: 3.9.1

Package: cedarview-drm
Architecture: i386
Depends: grub-gfxpayload-lists,
 linux-headers-generic (>= 2.6) | linux-headers-generic-pae (>= 2.6),
 ${misc:Depends},
XB-Modaliases: ${modaliases}
Description: Cedar Trail drm driver in DKMS format.
 This package contains the drm driver for Cedar Trail in DKMS format.
